summaryrefslogtreecommitdiff
path: root/init.d/bootmisc.in
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2011-10-16 19:02:21 -0400
committerMike Frysinger <vapier@gentoo.org>2011-10-16 19:02:21 -0400
commit9f95878bbd5461837b00b5ea2134768302776584 (patch)
tree71e2568adeb52e62fbacfb14b2b2040693a8b4fb /init.d/bootmisc.in
parent7644e027fd3ecc539a56a1e7a5698db32370b194 (diff)
downloadopenrc-9f95878bbd5461837b00b5ea2134768302776584.tar.gz
openrc-9f95878bbd5461837b00b5ea2134768302776584.tar.bz2
openrc-9f95878bbd5461837b00b5ea2134768302776584.tar.xz
fix random typos
Signed-off-by: Mike Frysinger <vapier@gentoo.org>
Diffstat (limited to 'init.d/bootmisc.in')
-rw-r--r--init.d/bootmisc.in10
1 files changed, 5 insertions, 5 deletions
diff --git a/init.d/bootmisc.in b/init.d/bootmisc.in
index 2ca7926..31fa0c8 100644
--- a/init.d/bootmisc.in
+++ b/init.d/bootmisc.in
@@ -10,7 +10,7 @@ depend()
keyword -prefix -timeout
}
-dir_writeable()
+dir_writable()
{
mkdir "$1"/.test.$$ 2>/dev/null && rmdir "$1"/.test.$$
}
@@ -25,7 +25,7 @@ cleanup_tmp_dir()
if ! [ -d "$dir" ]; then
mkdir -p "$dir" || return $?
fi
- dir_writeable "$dir" || return 1
+ dir_writable "$dir" || return 1
chmod a+rwt "$dir" 2> /dev/null
cd "$dir" || return 1
if yesno $wipe_tmp; then
@@ -89,7 +89,7 @@ start()
fi
done
- if dir_writeable /var/run; then
+ if dir_writable /var/run; then
ebegin "Creating user login records"
local xtra=
[ "$RC_UNAME" = NetBSD ] && xtra=x
@@ -131,7 +131,7 @@ start()
cleanup_tmp_dir "$tmp"
done
- if dir_writeable /tmp; then
+ if dir_writable /tmp; then
# Make sure our X11 stuff have the correct permissions
# Omit the chown as bootmisc is run before network is up
# and users may be using lame LDAP auth #139411
@@ -144,7 +144,7 @@ start()
fi
if yesno $log_dmesg; then
- if $logw || dir_writeable /var/log; then
+ if $logw || dir_writable /var/log; then
# Create an 'after-boot' dmesg log
if [ "$RC_SYS" != VSERVER -a "$RC_SYS" != OPENVZ ]; then
dmesg > /var/log/dmesg